Bluetooth 0930:021c not working in Ubuntu 15.10

Bug #1502781 reported by P.L. Lucas on 2015-10-05
10
This bug affects 1 person
Affects Status Importance Assigned to Milestone
linux (Ubuntu)
Medium
Pilot6
Precise
Undecided
Unassigned
Trusty
Undecided
Unassigned
Vivid
Undecided
Unassigned
Wily
Undecided
Unassigned

Bug Description

Ubuntu detects the bluetooth hardware (it shows the bluetooth icon in the status bar), and I can turn it on or off and set the visibility and such. However, it is never able to find any bluetooth device.

"lsusb" shows:

  Bus 001 Device 003: ID 0930:021c Toshiba Corp. Atheros AR3012 Bluetooth

"rfkill list" output:
  1: phy0: Wireless LAN
    Soft blocked: no
    Hard blocked: no
  2: hci0: Bluetooth
    Soft blocked: no
    Hard blocked: no

"hciconfig -a" output:
  hci0: Type: BR/EDR Bus: USB
   BD Address: 18:CF:5E:09:55:43 ACL MTU: 1022:8 SCO MTU: 183:5
   UP RUNNING
   RX bytes:1313 acl:0 sco:0 events:88 errors:0
   TX bytes:3200 acl:0 sco:0 commands:87 errors:0
   Features: 0xff 0xfe 0x0d 0xfe 0xd8 0x7f 0x7b 0x8f
   Packet type: DM1 DM3 DM5 DH1 DH3 DH5 HV1 HV2 HV3
   Link policy: RSWITCH HOLD SNIFF
   Link mode: SLAVE ACCEPT
   Name: 'lucas-Leon'
   Class: 0x0c010c
   Service Classes: Rendering, Capturing
   Device Class: Computer, Laptop
   HCI Version: 4.1 (0x7) Revision: 0x1102
   LMP Version: 4.0 (0x6) Subversion: 0x1
   Manufacturer: Atheros Communications, Inc. (69)

Thanks for your help.

ProblemType: Bug
DistroRelease: Ubuntu 15.10
Package: linux-image-4.2.0-14-generic 4.2.0-14.16
ProcVersionSignature: Ubuntu 4.2.0-14.16-generic 4.2.2
Uname: Linux 4.2.0-14-generic x86_64
ApportVersion: 2.19-0ubuntu1
Architecture: amd64
AudioDevicesInUse:
 USER PID ACCESS COMMAND
 /dev/snd/controlC0: lucas 1143 F.... pulseaudio
 /dev/snd/controlC1: lucas 1143 F.... pulseaudio
CurrentDesktop: Unity
Date: Mon Oct 5 09:19:20 2015
HibernationDevice: RESUME=UUID=58bcbcd9-672f-4530-b8b5-775f76fc9187
InstallationDate: Installed on 2015-10-04 (0 days ago)
InstallationMedia: Ubuntu 15.10 "Wily Werewolf" - Alpha amd64 (20150924)
Lsusb:
 Bus 002 Device 001: ID 1d6b:0003 Linux Foundation 3.0 root hub
 Bus 001 Device 004: ID 05e3:0727 Genesys Logic, Inc. microSD Reader/Writer
 Bus 001 Device 003: ID 0930:021c Toshiba Corp. Atheros AR3012 Bluetooth
 Bus 001 Device 002: ID 04f2:b433 Chicony Electronics Co., Ltd
 Bus 001 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub
MachineType: Toshiba Leon
ProcFB: 0 inteldrmfb
ProcKernelCmdLine: BOOT_IMAGE=/@/boot/vmlinuz-4.2.0-14-generic root=UUID=a107b544-64af-4e74-89a7-2c0e9fe8ce8d ro rootflags=subvol=@ tpm_tis.interrupts=0 modprobe.blacklist=ehci_pci quiet splash vt.handoff=7
RelatedPackageVersions:
 linux-restricted-modules-4.2.0-14-generic N/A
 linux-backports-modules-4.2.0-14-generic N/A
 linux-firmware 1.148
SourcePackage: linux
UdevLog: Error: [Errno 2] No existe el archivo o el directorio: '/var/log/udev'
UpgradeStatus: No upgrade log present (probably fresh install)
dmi.bios.date: 08/26/2014
dmi.bios.vendor: coreboot
dmi.chassis.type: 3
dmi.chassis.vendor: Toshiba
dmi.modalias: dmi:bvncoreboot:bvr:bd08/26/2014:svnToshiba:pnLeon:pvr1.0:cvnToshiba:ct3:cvr:
dmi.product.name: Leon
dmi.product.version: 1.0
dmi.sys.vendor: Toshiba

P.L. Lucas (selairi) wrote :

This change was made by a bot.

Changed in linux (Ubuntu):
status: New → Confirmed
Pilot6 (hanipouspilot) wrote :

Did you add "new_id" for btusb? It looks like you did, because this id is not in btusb.

I will build a deb later with btusb and ath3k for testing.

Pilot6 (hanipouspilot) on 2015-10-05
Changed in linux (Ubuntu):
assignee: nobody → Pilot6 (hanipouspilot)
Pilot6 (hanipouspilot) wrote :

Install the deb package. It can be done by running in terminal:

wget https://launchpad.net/~hanipouspilot/+archive/ubuntu/bluetooth/+files/btusb-lp1502781-dkms_0.1_all.deb
sudo dpkg -i btusb-lp1502781-dkms_0.1_all.deb

Then power off your laptop. NOT JUST REBOOT.

Then power on the laptop and test bluetooth.

If it does not pair, then please give output of

dmesg | grep -i blue

Maybe you will need the firmware too.

P.L. Lucas, your device not being supported out of the box (at least upstream) is confirmed via:
https://git.kernel.org/cgit/linux/kernel/git/bluetooth/bluetooth-next.git/tree/drivers/bluetooth/btusb.c
https://git.kernel.org/cgit/linux/kernel/git/bluetooth/bluetooth-next.git/tree/drivers/bluetooth/ath3k.c

Hence, the issue you are reporting is an upstream one. Could you please report this problem following the instructions verbatim at https://wiki.ubuntu.com/Bugs/Upstream/kernel to the appropriate venue (linux-bluetooth mailing list)?

Please provide a direct URL to your newly made report when it becomes available so that it may be tracked.

Thank you for your understanding.

Changed in linux (Ubuntu):
importance: Undecided → Medium
status: Confirmed → Triaged
Pilot6 (hanipouspilot) wrote :

@Christopher

It will be enough if the OP tests if the device works with the stock firmware or some other one.
It is not easy to report things upstream and I am afraid it won't be fixed this way.

If the testing succeeds, I will take care of the upstream.

  • btbcm.h Edit (2.6 KiB, text/x-chdr; charset=US-ASCII; name="btbcm.h")
  • btintel.h Edit (2.5 KiB, text/x-chdr; charset=US-ASCII; name="btintel.h")
  • btrtl.h Edit (1.1 KiB, text/x-chdr; charset=US-ASCII; name="btrtl.h")
Download full text (4.4 KiB)

It works !!!

I have installed your package, but I found and error:

"btintel.h not found"

File btusb.c in "/var/lib/dkms/btusb-lp1502781/0.1/build" includes
btbcm.h, btintel.h and btrtl.h. But those files can not be found. I
copy them from kernel sources and I run:

make
make install

Then I reboot the computer. Bluetooth started to work.

Good work!

2015-10-05 12:55 GMT+02:00, Pilot6 <email address hidden>:
> Install the deb package. It can be done by running in terminal:
>
> wget
> https://launchpad.net/~hanipouspilot/+archive/ubuntu/bluetooth/+files/btusb-lp1502781-dkms_0.1_all.deb
> sudo dpkg -i btusb-lp1502781-dkms_0.1_all.deb
>
> Then power off your laptop. NOT JUST REBOOT.
>
> Then power on the laptop and test bluetooth.
>
> If it does not pair, then please give output of
>
> dmesg | grep -i blue
>
> Maybe you will need the firmware too.
>
> --
> You received this bug notification because you are subscribed to the bug
> report.
> https://bugs.launchpad.net/bugs/1502781
>
> Title:
> Bluetooth 0930:021c not working in Ubuntu 15.10
>
> Status in linux package in Ubuntu:
> Confirmed
>
> Bug description:
> Ubuntu detects the bluetooth hardware (it shows the bluetooth icon in
> the status bar), and I can turn it on or off and set the visibility
> and such. However, it is never able to find any bluetooth device.
>
> "lsusb" shows:
>
> Bus 001 Device 003: ID 0930:021c Toshiba Corp. Atheros AR3012
> Bluetooth
>
> "rfkill list" output:
> 1: phy0: Wireless LAN
> Soft blocked: no
> Hard blocked: no
> 2: hci0: Bluetooth
> Soft blocked: no
> Hard blocked: no
>
> "hciconfig -a" output:
> hci0: Type: BR/EDR Bus: USB
> BD Address: 18:CF:5E:09:55:43 ACL MTU: 1022:8 SCO MTU: 183:5
> UP RUNNING
> RX bytes:1313 acl:0 sco:0 events:88 errors:0
> TX bytes:3200 acl:0 sco:0 commands:87 errors:0
> Features: 0xff 0xfe 0x0d 0xfe 0xd8 0x7f 0x7b 0x8f
> Packet type: DM1 DM3 DM5 DH1 DH3 DH5 HV1 HV2 HV3
> Link policy: RSWITCH HOLD SNIFF
> Link mode: SLAVE ACCEPT
> Name: 'lucas-Leon'
> Class: 0x0c010c
> Service Classes: Rendering, Capturing
> Device Class: Computer, Laptop
> HCI Version: 4.1 (0x7) Revision: 0x1102
> LMP Version: 4.0 (0x6) Subversion: 0x1
> Manufacturer: Atheros Communications, Inc. (69)
>
> Thanks for your help.
>
> ProblemType: Bug
> DistroRelease: Ubuntu 15.10
> Package: linux-image-4.2.0-14-generic 4.2.0-14.16
> ProcVersionSignature: Ubuntu 4.2.0-14.16-generic 4.2.2
> Uname: Linux 4.2.0-14-generic x86_64
> ApportVersion: 2.19-0ubuntu1
> Architecture: amd64
> AudioDevicesInUse:
> USER PID ACCESS COMMAND
> /dev/snd/controlC0: lucas 1143 F.... pulseaudio
> /dev/snd/controlC1: lucas 1143 F.... pulseaudio
> CurrentDesktop: Unity
> Date: Mon Oct 5 09:19:20 2015
> HibernationDevice: RESUME=UUID=58bcbcd9-672f-4530-b8b5-775f76fc9187
> InstallationDate: Installed on 2015-10-04 (0 days ago)
> InstallationMedia: Ubuntu 15.10 "Wily Werewolf" - Alpha amd64 (20150924)
> Lsusb:
> Bus 002 Device 001: ID 1d6b:0003 Linux Foundation 3.0 root hub
> Bus 001 Devic...

Read more...

Pilot6 (hanipouspilot) wrote :

OK. I will look into it. But now we know that it is an AR3012 device that works with the stock kernel.

Pilot6 (hanipouspilot) wrote :

But it is weird that the headers were not in place. Which kernel did you use and are "linux-headers" installed?

Changed in linux (Ubuntu):
status: Triaged → In Progress
Pilot6 (hanipouspilot) wrote :

Oh, I see the reason. They are not added with a path.

Pilot6 (hanipouspilot) wrote :

I will fix it in my dkms module. This way you will not need to re-install it after kernel upgrades. And also I will build a package for 3.19 kernel.

P.L. Lucas (selairi) wrote :
Download full text (3.9 KiB)

> But it is weird that the headers were not in place. Which kernel did you
> use and are "linux-headers" installed?

Linux headers are linux-headers-4.2.0-14. Kernel is 4.2.0. Finally I
installed Ubuntu 15.10 beta. I think I can help reporting bugs.

>
> ** Changed in: linux (Ubuntu)
> Status: Triaged => In Progress
>
> --
> You received this bug notification because you are subscribed to the bug
> report.
> https://bugs.launchpad.net/bugs/1502781
>
> Title:
> Bluetooth 0930:021c not working in Ubuntu 15.10
>
> Status in linux package in Ubuntu:
> In Progress
>
> Bug description:
> Ubuntu detects the bluetooth hardware (it shows the bluetooth icon in
> the status bar), and I can turn it on or off and set the visibility
> and such. However, it is never able to find any bluetooth device.
>
> "lsusb" shows:
>
> Bus 001 Device 003: ID 0930:021c Toshiba Corp. Atheros AR3012
> Bluetooth
>
> "rfkill list" output:
> 1: phy0: Wireless LAN
> Soft blocked: no
> Hard blocked: no
> 2: hci0: Bluetooth
> Soft blocked: no
> Hard blocked: no
>
> "hciconfig -a" output:
> hci0: Type: BR/EDR Bus: USB
> BD Address: 18:CF:5E:09:55:43 ACL MTU: 1022:8 SCO MTU: 183:5
> UP RUNNING
> RX bytes:1313 acl:0 sco:0 events:88 errors:0
> TX bytes:3200 acl:0 sco:0 commands:87 errors:0
> Features: 0xff 0xfe 0x0d 0xfe 0xd8 0x7f 0x7b 0x8f
> Packet type: DM1 DM3 DM5 DH1 DH3 DH5 HV1 HV2 HV3
> Link policy: RSWITCH HOLD SNIFF
> Link mode: SLAVE ACCEPT
> Name: 'lucas-Leon'
> Class: 0x0c010c
> Service Classes: Rendering, Capturing
> Device Class: Computer, Laptop
> HCI Version: 4.1 (0x7) Revision: 0x1102
> LMP Version: 4.0 (0x6) Subversion: 0x1
> Manufacturer: Atheros Communications, Inc. (69)
>
> Thanks for your help.
>
> ProblemType: Bug
> DistroRelease: Ubuntu 15.10
> Package: linux-image-4.2.0-14-generic 4.2.0-14.16
> ProcVersionSignature: Ubuntu 4.2.0-14.16-generic 4.2.2
> Uname: Linux 4.2.0-14-generic x86_64
> ApportVersion: 2.19-0ubuntu1
> Architecture: amd64
> AudioDevicesInUse:
> USER PID ACCESS COMMAND
> /dev/snd/controlC0: lucas 1143 F.... pulseaudio
> /dev/snd/controlC1: lucas 1143 F.... pulseaudio
> CurrentDesktop: Unity
> Date: Mon Oct 5 09:19:20 2015
> HibernationDevice: RESUME=UUID=58bcbcd9-672f-4530-b8b5-775f76fc9187
> InstallationDate: Installed on 2015-10-04 (0 days ago)
> InstallationMedia: Ubuntu 15.10 "Wily Werewolf" - Alpha amd64 (20150924)
> Lsusb:
> Bus 002 Device 001: ID 1d6b:0003 Linux Foundation 3.0 root hub
> Bus 001 Device 004: ID 05e3:0727 Genesys Logic, Inc. microSD
> Reader/Writer
> Bus 001 Device 003: ID 0930:021c Toshiba Corp. Atheros AR3012 Bluetooth
> Bus 001 Device 002: ID 04f2:b433 Chicony Electronics Co., Ltd
> Bus 001 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub
> MachineType: Toshiba Leon
> ProcFB: 0 inteldrmfb
> ProcKernelCmdLine: BOOT_IMAGE=/@/boot/vmlinuz-4.2.0-14-generic
> root=UUID=a107b544-64af-4e74-89a7-2c0e9fe8ce8d ro rootflags=subvol=@
> tpm_tis.interrupts=0 modprobe.blacklist=ehci_pci quiet splash vt.hand...

Read more...

Pilot6 (hanipouspilot) wrote :

It is fixed in the PPA. You can install the module for Ubuntu 14.04 with kernel 3.19, 15.04 and 15.10 by

sudo add-apt-repository ppa:hanipouspilot/bluetooth
sudo apt-get update
sudo apt-get install btusb-lp1502781-dkms

Pilot6 (hanipouspilot) wrote :

I also sent it upstream.

https://lkml.org/lkml/2015/10/5/470

P.L. Lucas (selairi) wrote :
Download full text (4.1 KiB)

I have tested in Ubuntu 14.04, kernel 3.19. It doesn't install modules
and show a text like: "installed versions are newer. Use --force"

It can be solved running:

cd /var/lib/dkms/btusb-lp1502781/0.1~14.04.3/build
sudo make
sudo make install
sudo reboot

And then it works OK.

2015-10-05 18:32 GMT+02:00, Pilot6 <email address hidden>:
> It is fixed in the PPA. You can install the module for Ubuntu 14.04 with
> kernel 3.19, 15.04 and 15.10 by
>
> sudo add-apt-repository ppa:hanipouspilot/bluetooth
> sudo apt-get update
> sudo apt-get install btusb-lp1502781-dkms
>
> --
> You received this bug notification because you are subscribed to the bug
> report.
> https://bugs.launchpad.net/bugs/1502781
>
> Title:
> Bluetooth 0930:021c not working in Ubuntu 15.10
>
> Status in linux package in Ubuntu:
> In Progress
>
> Bug description:
> Ubuntu detects the bluetooth hardware (it shows the bluetooth icon in
> the status bar), and I can turn it on or off and set the visibility
> and such. However, it is never able to find any bluetooth device.
>
> "lsusb" shows:
>
> Bus 001 Device 003: ID 0930:021c Toshiba Corp. Atheros AR3012
> Bluetooth
>
> "rfkill list" output:
> 1: phy0: Wireless LAN
> Soft blocked: no
> Hard blocked: no
> 2: hci0: Bluetooth
> Soft blocked: no
> Hard blocked: no
>
> "hciconfig -a" output:
> hci0: Type: BR/EDR Bus: USB
> BD Address: 18:CF:5E:09:55:43 ACL MTU: 1022:8 SCO MTU: 183:5
> UP RUNNING
> RX bytes:1313 acl:0 sco:0 events:88 errors:0
> TX bytes:3200 acl:0 sco:0 commands:87 errors:0
> Features: 0xff 0xfe 0x0d 0xfe 0xd8 0x7f 0x7b 0x8f
> Packet type: DM1 DM3 DM5 DH1 DH3 DH5 HV1 HV2 HV3
> Link policy: RSWITCH HOLD SNIFF
> Link mode: SLAVE ACCEPT
> Name: 'lucas-Leon'
> Class: 0x0c010c
> Service Classes: Rendering, Capturing
> Device Class: Computer, Laptop
> HCI Version: 4.1 (0x7) Revision: 0x1102
> LMP Version: 4.0 (0x6) Subversion: 0x1
> Manufacturer: Atheros Communications, Inc. (69)
>
> Thanks for your help.
>
> ProblemType: Bug
> DistroRelease: Ubuntu 15.10
> Package: linux-image-4.2.0-14-generic 4.2.0-14.16
> ProcVersionSignature: Ubuntu 4.2.0-14.16-generic 4.2.2
> Uname: Linux 4.2.0-14-generic x86_64
> ApportVersion: 2.19-0ubuntu1
> Architecture: amd64
> AudioDevicesInUse:
> USER PID ACCESS COMMAND
> /dev/snd/controlC0: lucas 1143 F.... pulseaudio
> /dev/snd/controlC1: lucas 1143 F.... pulseaudio
> CurrentDesktop: Unity
> Date: Mon Oct 5 09:19:20 2015
> HibernationDevice: RESUME=UUID=58bcbcd9-672f-4530-b8b5-775f76fc9187
> InstallationDate: Installed on 2015-10-04 (0 days ago)
> InstallationMedia: Ubuntu 15.10 "Wily Werewolf" - Alpha amd64 (20150924)
> Lsusb:
> Bus 002 Device 001: ID 1d6b:0003 Linux Foundation 3.0 root hub
> Bus 001 Device 004: ID 05e3:0727 Genesys Logic, Inc. microSD
> Reader/Writer
> Bus 001 Device 003: ID 0930:021c Toshiba Corp. Atheros AR3012 Bluetooth
> Bus 001 Device 002: ID 04f2:b433 Chicony Electronics Co., Ltd
> Bus 001 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub
> MachineT...

Read more...

P.L. Lucas (selairi) wrote :
Download full text (4.4 KiB)

I have also tested in Ubuntu 15.10, kernel 4.2.0.

It works OK :-)

2015-10-07 11:07 GMT+02:00, P L. Lucas <email address hidden>:
> I have tested in Ubuntu 14.04, kernel 3.19. It doesn't install modules
> and show a text like: "installed versions are newer. Use --force"
>
> It can be solved running:
>
> cd /var/lib/dkms/btusb-lp1502781/0.1~14.04.3/build
> sudo make
> sudo make install
> sudo reboot
>
> And then it works OK.
>
>
> 2015-10-05 18:32 GMT+02:00, Pilot6 <email address hidden>:
>> It is fixed in the PPA. You can install the module for Ubuntu 14.04 with
>> kernel 3.19, 15.04 and 15.10 by
>>
>> sudo add-apt-repository ppa:hanipouspilot/bluetooth
>> sudo apt-get update
>> sudo apt-get install btusb-lp1502781-dkms
>>
>> --
>> You received this bug notification because you are subscribed to the bug
>> report.
>> https://bugs.launchpad.net/bugs/1502781
>>
>> Title:
>> Bluetooth 0930:021c not working in Ubuntu 15.10
>>
>> Status in linux package in Ubuntu:
>> In Progress
>>
>> Bug description:
>> Ubuntu detects the bluetooth hardware (it shows the bluetooth icon in
>> the status bar), and I can turn it on or off and set the visibility
>> and such. However, it is never able to find any bluetooth device.
>>
>> "lsusb" shows:
>>
>> Bus 001 Device 003: ID 0930:021c Toshiba Corp. Atheros AR3012
>> Bluetooth
>>
>> "rfkill list" output:
>> 1: phy0: Wireless LAN
>> Soft blocked: no
>> Hard blocked: no
>> 2: hci0: Bluetooth
>> Soft blocked: no
>> Hard blocked: no
>>
>> "hciconfig -a" output:
>> hci0: Type: BR/EDR Bus: USB
>> BD Address: 18:CF:5E:09:55:43 ACL MTU: 1022:8 SCO MTU: 183:5
>> UP RUNNING
>> RX bytes:1313 acl:0 sco:0 events:88 errors:0
>> TX bytes:3200 acl:0 sco:0 commands:87 errors:0
>> Features: 0xff 0xfe 0x0d 0xfe 0xd8 0x7f 0x7b 0x8f
>> Packet type: DM1 DM3 DM5 DH1 DH3 DH5 HV1 HV2 HV3
>> Link policy: RSWITCH HOLD SNIFF
>> Link mode: SLAVE ACCEPT
>> Name: 'lucas-Leon'
>> Class: 0x0c010c
>> Service Classes: Rendering, Capturing
>> Device Class: Computer, Laptop
>> HCI Version: 4.1 (0x7) Revision: 0x1102
>> LMP Version: 4.0 (0x6) Subversion: 0x1
>> Manufacturer: Atheros Communications, Inc. (69)
>>
>> Thanks for your help.
>>
>> ProblemType: Bug
>> DistroRelease: Ubuntu 15.10
>> Package: linux-image-4.2.0-14-generic 4.2.0-14.16
>> ProcVersionSignature: Ubuntu 4.2.0-14.16-generic 4.2.2
>> Uname: Linux 4.2.0-14-generic x86_64
>> ApportVersion: 2.19-0ubuntu1
>> Architecture: amd64
>> AudioDevicesInUse:
>> USER PID ACCESS COMMAND
>> /dev/snd/controlC0: lucas 1143 F.... pulseaudio
>> /dev/snd/controlC1: lucas 1143 F.... pulseaudio
>> CurrentDesktop: Unity
>> Date: Mon Oct 5 09:19:20 2015
>> HibernationDevice: RESUME=UUID=58bcbcd9-672f-4530-b8b5-775f76fc9187
>> InstallationDate: Installed on 2015-10-04 (0 days ago)
>> InstallationMedia: Ubuntu 15.10 "Wily Werewolf" - Alpha amd64
>> (20150924)
>> Lsusb:
>> Bus 002 Device 001: ID 1d6b:0003 Linux Foundation 3.0 root hub
>> Bus 001 Device 004: ID 05e3:0727 Genesys Logic, Inc. microSD
>> Reader/...

Read more...

P.L. Lucas (selairi) wrote :

I'm still testing over Ubuntu 15.10, kernel 4.2.0. It has problems with WiFi.

If have tested using the last version of:

sudo add-apt-repository ppa:hanipouspilot/bluetooth
sudo apt-get update
sudo apt-get install btusb-lp1502781-dkms

Previous version with supplied headers works OK (bluetooth and wifi). Only one file is different. I have check that btintel.h header is different. This header is from kernel 4.3.

In order to fix this bug in kernel 4.2 (use attached files) :

1- Install btusb-lp1502781-dkms_0.1_all.deb

2- Copy btbcm.h, btintel.h and btrtl.h to "/var/lib/dkms/btusb-lp1502781/0.1/build"

3-
sudo make
sudo make install

4- Reboot the computer.

Then Bluetooth and WiFi works OK.

Thanks to Pilot6 the good work.

Pilot6 (hanipouspilot) wrote :
Download full text (4.7 KiB)

Do you mean that in my package the header is from 4.3?

2015-10-08 10:05 GMT+03:00 P.L. Lucas <email address hidden>:
> I'm still testing over Ubuntu 15.10, kernel 4.2.0. It has problems with
> WiFi.
>
> If have tested using the last version of:
>
> sudo add-apt-repository ppa:hanipouspilot/bluetooth
> sudo apt-get update
> sudo apt-get install btusb-lp1502781-dkms
>
>
> Previous version with supplied headers works OK (bluetooth and wifi). Only one file is different. I have check that btintel.h header is different. This header is from kernel 4.3.
>
> In order to fix this bug in kernel 4.2 (use attached files) :
>
> 1- Install btusb-lp1502781-dkms_0.1_all.deb
>
> 2- Copy btbcm.h, btintel.h and btrtl.h to "/var/lib/dkms/btusb-
> lp1502781/0.1/build"
>
> 3-
> sudo make
> sudo make install
>
> 4- Reboot the computer.
>
> Then Bluetooth and WiFi works OK.
>
> Thanks to Pilot6 the good work.
>
> ** Attachment added: "Kernel 4.2 files"
> https://bugs.launchpad.net/ubuntu/+source/linux/+bug/1502781/+attachment/4488208/+files/bluetooth.zip
>
> --
> You received this bug notification because you are subscribed to the bug
> report.
> https://bugs.launchpad.net/bugs/1502781
>
> Title:
> Bluetooth 0930:021c not working in Ubuntu 15.10
>
> Status in linux package in Ubuntu:
> In Progress
>
> Bug description:
> Ubuntu detects the bluetooth hardware (it shows the bluetooth icon in
> the status bar), and I can turn it on or off and set the visibility
> and such. However, it is never able to find any bluetooth device.
>
> "lsusb" shows:
>
> Bus 001 Device 003: ID 0930:021c Toshiba Corp. Atheros AR3012
> Bluetooth
>
> "rfkill list" output:
> 1: phy0: Wireless LAN
> Soft blocked: no
> Hard blocked: no
> 2: hci0: Bluetooth
> Soft blocked: no
> Hard blocked: no
>
> "hciconfig -a" output:
> hci0: Type: BR/EDR Bus: USB
> BD Address: 18:CF:5E:09:55:43 ACL MTU: 1022:8 SCO MTU: 183:5
> UP RUNNING
> RX bytes:1313 acl:0 sco:0 events:88 errors:0
> TX bytes:3200 acl:0 sco:0 commands:87 errors:0
> Features: 0xff 0xfe 0x0d 0xfe 0xd8 0x7f 0x7b 0x8f
> Packet type: DM1 DM3 DM5 DH1 DH3 DH5 HV1 HV2 HV3
> Link policy: RSWITCH HOLD SNIFF
> Link mode: SLAVE ACCEPT
> Name: 'lucas-Leon'
> Class: 0x0c010c
> Service Classes: Rendering, Capturing
> Device Class: Computer, Laptop
> HCI Version: 4.1 (0x7) Revision: 0x1102
> LMP Version: 4.0 (0x6) Subversion: 0x1
> Manufacturer: Atheros Communications, Inc. (69)
>
> Thanks for your help.
>
> ProblemType: Bug
> DistroRelease: Ubuntu 15.10
> Package: linux-image-4.2.0-14-generic 4.2.0-14.16
> ProcVersionSignature: Ubuntu 4.2.0-14.16-generic 4.2.2
> Uname: Linux 4.2.0-14-generic x86_64
> ApportVersion: 2.19-0ubuntu1
> Architecture: amd64
> AudioDevicesInUse:
> USER PID ACCESS COMMAND
> /dev/snd/controlC0: lucas 1143 F.... pulseaudio
> /dev/snd/controlC1: lucas 1143 F.... pulseaudio
> CurrentDesktop: Unity
> Date: Mon Oct 5 09:19:20 2015
> HibernationDevice: RESUME=UUI...

Read more...

P.L. Lucas (selairi) wrote :
Download full text (8.9 KiB)

Sorry. Maybe I didn't explain it clearly.

The first time I test your solution (0.1 version) in kernel 4.2, I
took the headers from 4.3 kernel. They work properly.

When I tested your 0.2 version in kernel 4.2, it made my WiFi to break
down. This was very strange. Then, I compare files between 0.1 and 0.2
versions. The only different file is btintel.h.

Those issues are for kernel 4.2.

Ubuntu 14.04, kernel 3.19 and your 0.2 version work properly.

2015-10-08 10:39 GMT+02:00, Pilot6 <email address hidden>:
> Do you mean that in my package the header is from 4.3?
>
> 2015-10-08 10:05 GMT+03:00 P.L. Lucas <email address hidden>:
>> I'm still testing over Ubuntu 15.10, kernel 4.2.0. It has problems with
>> WiFi.
>>
>> If have tested using the last version of:
>>
>> sudo add-apt-repository ppa:hanipouspilot/bluetooth
>> sudo apt-get update
>> sudo apt-get install btusb-lp1502781-dkms
>>
>>
>> Previous version with supplied headers works OK (bluetooth and wifi). Only
>> one file is different. I have check that btintel.h header is different.
>> This header is from kernel 4.3.
>>
>> In order to fix this bug in kernel 4.2 (use attached files) :
>>
>> 1- Install btusb-lp1502781-dkms_0.1_all.deb
>>
>> 2- Copy btbcm.h, btintel.h and btrtl.h to "/var/lib/dkms/btusb-
>> lp1502781/0.1/build"
>>
>> 3-
>> sudo make
>> sudo make install
>>
>> 4- Reboot the computer.
>>
>> Then Bluetooth and WiFi works OK.
>>
>> Thanks to Pilot6 the good work.
>>
>> ** Attachment added: "Kernel 4.2 files"
>>
>> https://bugs.launchpad.net/ubuntu/+source/linux/+bug/1502781/+attachment/4488208/+files/bluetooth.zip
>>
>> --
>> You received this bug notification because you are subscribed to the bug
>> report.
>> https://bugs.launchpad.net/bugs/1502781
>>
>> Title:
>> Bluetooth 0930:021c not working in Ubuntu 15.10
>>
>> Status in linux package in Ubuntu:
>> In Progress
>>
>> Bug description:
>> Ubuntu detects the bluetooth hardware (it shows the bluetooth icon in
>> the status bar), and I can turn it on or off and set the visibility
>> and such. However, it is never able to find any bluetooth device.
>>
>> "lsusb" shows:
>>
>> Bus 001 Device 003: ID 0930:021c Toshiba Corp. Atheros AR3012
>> Bluetooth
>>
>> "rfkill list" output:
>> 1: phy0: Wireless LAN
>> Soft blocked: no
>> Hard blocked: no
>> 2: hci0: Bluetooth
>> Soft blocked: no
>> Hard blocked: no
>>
>> "hciconfig -a" output:
>> hci0: Type: BR/EDR Bus: USB
>> BD Address: 18:CF:5E:09:55:43 ACL MTU: 1022:8 SCO MTU: 183:5
>> UP RUNNING
>> RX bytes:1313 acl:0 sco:0 events:88 errors:0
>> TX bytes:3200 acl:0 sco:0 commands:87 errors:0
>> Features: 0xff 0xfe 0x0d 0xfe 0xd8 0x7f 0x7b 0x8f
>> Packet type: DM1 DM3 DM5 DH1 DH3 DH5 HV1 HV2 HV3
>> Link policy: RSWITCH HOLD SNIFF
>> Link mode: SLAVE ACCEPT
>> Name: 'lucas-Leon'
>> Class: 0x0c010c
>> Service Classes: Rendering, Capturing
>> Device Class: Computer, Laptop
>> HCI Version: 4.1 (0x7) Revision: 0x1102
>> LMP Version: 4.0 (0x6) Subversion: 0x1
>> Manufa...

Read more...

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package linux - 4.3.0-5.16

---------------
linux (4.3.0-5.16) xenial; urgency=low

  [ Tim Gardner ]

  * Release Tracking Bug
    - LP: #1526986
  * [Config] Spell ignore.modules correctly
    Fixes FTBS

 -- Tim Gardner <email address hidden> Wed, 16 Dec 2015 15:52:52 -0700

Changed in linux (Ubuntu):
status: In Progress → Fix Released
Luis Henriques (henrix) wrote :

This patch in in through upstream stable updates, thus I am tagging it as verified for all the series.

Changed in linux (Ubuntu Precise):
status: New → Fix Committed
Changed in linux (Ubuntu Trusty):
status: New → Fix Committed
Changed in linux (Ubuntu Vivid):
status: New → Fix Committed
Changed in linux (Ubuntu Wily):
status: New → Fix Committed
tags: added: verification-done-precise verification-done-trusty verification-done-utopic verification-done-vivid verification-done-wily
chevrier (tc-s) wrote :

sorry to bother, tried to follow religiously the steps provided, but it didn't work for me.
I am using ubuntu 15.10
Alienware-17-R2 4.2.0-25-generic #30-Ubuntu SMP Mon Jan 18 12:31:50 UTC 2016 x86_64 x86_64 x86_64 GNU/Linux
dmesg | grep -i blue
[ 3.751610] Bluetooth: Core ver 2.20
[ 3.751621] Bluetooth: HCI device and connection manager initialized
[ 3.751624] Bluetooth: HCI socket layer initialized
[ 3.751626] Bluetooth: L2CAP socket layer initialized
[ 3.751629] Bluetooth: SCO socket layer initialized
[ 5.064855] Bluetooth: Patch file not found ar3k/AthrBT_0x00000200.dfu
[ 5.064857] Bluetooth: Loading patch file failed
[ 10.482926] Bluetooth: BNEP (Ethernet Emulation) ver 1.3
[ 10.482929] Bluetooth: BNEP filters: protocol multicast
[ 10.482933] Bluetooth: BNEP socket layer initialized
lsmod |grep blue
bluetooth 516096 10 bnep,ath3k,btbcm,btrtl,btusb,btintel
so everything is similar in my system, it seems...
so i simply followed:
sudo add-apt-repository ppa:hanipouspilot/bluetooth
sudo apt-get update
sudo apt-get install btusb-lp1502781-dkms
and
In order to fix this bug in kernel 4.2 (use attached files) :

1- Install btusb-lp1502781-dkms_0.1_all.deb

2- Copy btbcm.h, btintel.h and btrtl.h to "/var/lib/dkms/btusb-lp1502781/0.1/build"

3-
sudo make
sudo make install

4- Reboot the computer.

Shutting down instead, and restarting and i have made no progress.
:-((

I am now trying to install kernel 4.3 to see if better...
many thanks
thomas

chevrier (tc-s) wrote :

Not much more progress it seems... :-((
still the same "no bluetooth adapters found" issue

output is a little changed, obviously:

uname -a yields
Alienware-17-R2 4.3.0-040300-generic #201511020949 SMP Mon Nov 2 14:50:44 UTC 2015 x86_64 x86_64 x86_64 GNU/Linux
dmesg | grep -i blue
[ 4.707040] Bluetooth: Core ver 2.20
[ 4.707049] Bluetooth: HCI device and connection manager initialized
[ 4.707051] Bluetooth: HCI socket layer initialized
[ 4.707053] Bluetooth: L2CAP socket layer initialized
[ 4.707056] Bluetooth: SCO socket layer initialized
[ 6.801535] Bluetooth: Patch file not found ar3k/AthrBT_0x00000200.dfu
[ 6.801536] Bluetooth: Loading patch file failed
[ 10.313101] Modules linked in: bbswitch(OE) ath3k binfmt_misc arc4 nls_iso8859_1 x86_pkg_temp_thermal intel_powerclamp coretemp kvm_intel dell_wmi mxm_wmi sparse_keymap nvidia(POE) kvm ath10k_pci ath10k_core crct10dif_pclmul crc32_pclmul ath aesni_intel mac80211 aes_x86_64 lrw gf128mul uvcvideo glue_helper ablk_helper videobuf2_vmalloc hid_multitouch btusb videobuf2_memops cryptd snd_hda_codec_hdmi btrtl videobuf2_core btbcm cfg80211 snd_soc_rt5640 input_leds btintel v4l2_common joydev snd_soc_rl6231 snd_soc_ssm4567 videodev bluetooth snd_soc_core snd_hda_codec_ca0132 media serio_raw snd_compress ac97_bus rtsx_pci_ms snd_hda_intel snd_pcm_dmaengine snd_hda_codec memstick snd_hda_core snd_hwdep mei_me snd_pcm mei shpchp lpc_ich snd_seq_midi snd_seq_midi_event snd_rawmidi snd_seq snd_seq_device snd_timer
[ 11.729089] Modules linked in: bbswitch(OE) ath3k binfmt_misc arc4 nls_iso8859_1 x86_pkg_temp_thermal intel_powerclamp coretemp kvm_intel dell_wmi mxm_wmi sparse_keymap nvidia(POE) kvm ath10k_pci ath10k_core crct10dif_pclmul crc32_pclmul ath aesni_intel mac80211 aes_x86_64 lrw gf128mul uvcvideo glue_helper ablk_helper videobuf2_vmalloc hid_multitouch btusb videobuf2_memops cryptd snd_hda_codec_hdmi btrtl videobuf2_core btbcm cfg80211 snd_soc_rt5640 input_leds btintel v4l2_common joydev snd_soc_rl6231 snd_soc_ssm4567 videodev bluetooth snd_soc_core snd_hda_codec_ca0132 media serio_raw snd_compress ac97_bus rtsx_pci_ms snd_hda_intel snd_pcm_dmaengine snd_hda_codec memstick snd_hda_core snd_hwdep mei_me snd_pcm mei shpchp lpc_ich snd_seq_midi snd_seq_midi_event snd_rawmidi snd_seq snd_seq_device snd_timer
[ 11.966179] Bluetooth: BNEP (Ethernet Emulation) ver 1.3
[ 11.966182] Bluetooth: BNEP filters: protocol multicast
[ 11.966190] Bluetooth: BNEP socket layer initialized

lsmod |grep blue
bluetooth 512000 10 bnep,ath3k,btbcm,btrtl,btusb,btintel

lsusb shows:
Bus 001 Device 003: ID 0cf3:3004 Atheros Communications, Inc. AR3012 Bluetooth 4.0

Not quite clear what to do...
while i am at it, the headphones don't work either... ;-p
looks like i am not the only one and extensive google didn't help - all solutions didn't seem to work for me.

have a nice week-end all.
thomas

chevrier (tc-s) wrote :

hey folks - got it to work finally!
awesome!
:-D

i got the key insight here:
https://bugzilla.kernel.org/attachment.cgi?id=197861&action=diff
but thanks to you - since without your notes, i would not have guessed the issue was with that file btusb.c

Many many thanks!
thomas

chevrier (tc-s) wrote :

btw, my headsets seem to work now too! not sure how why - but i added a whole bunch of alsa stuff and i upgraded to kernel 4.4
i guess i would need to try the other kernels etc to see what made it work, but i am afraid - all i care about - is exactly that - it works!
:-D

Launchpad Janitor (janitor) wrote :
Download full text (10.4 KiB)

This bug was fixed in the package linux - 3.2.0-98.138

---------------
linux (3.2.0-98.138) precise; urgency=low

  [ Luis Henriques ]

  * Release Tracking Bug
    - LP: #1532774

  [ Upstream Kernel Changes ]

  * Revert "xhci: don't finish a TD if we get a short transfer event mid
    TD"
    - LP: #1529077
  * PCI: Fix devfn for VPD access through function 0
    - LP: #1524292
  * PCI: Use function 0 VPD for identical functions, regular VPD for others
    - LP: #1524292
  * mac80211: fix driver RSSI event calculations
    - LP: #1524292
  * HID: core: Avoid uninitialized buffer access
    - LP: #1524292
  * wm831x_power: Use IRQF_ONESHOT to request threaded IRQs
    - LP: #1524292
  * mwifiex: fix mwifiex_rdeeprom_read()
    - LP: #1524292
  * mtd: mtdpart: fix add_mtd_partitions error path
    - LP: #1524292
  * devres: fix a for loop bounds check
    - LP: #1524292
  * packet: fix match_fanout_group()
    - LP: #1524292
  * Btrfs: added helper btrfs_next_item()
    - LP: #1524292
  * Btrfs: fix file corruption and data loss after cloning inline extents
    - LP: #1524292
  * iommu/vt-d: Fix ATSR handling for Root-Complex integrated endpoints
    - LP: #1524292
  * ARM: pxa: remove incorrect __init annotation on pxa27x_set_pwrmode
    - LP: #1524292
  * Btrfs: don't use ram_bytes for uncompressed inline items
    - LP: #1524292
  * Btrfs: fix truncation of compressed and inlined extents
    - LP: #1524292
  * ext4, jbd2: ensure entering into panic after recording an error in
    superblock
    - LP: #1524292
  * Bluetooth: ath3k: Add new AR3012 0930:021c id
    - LP: #1502781, #1524292
  * Bluetooth: ath3k: Add support of AR3012 0cf3:817b device
    - LP: #1506615, #1524292
  * staging: rtl8712: Add device ID for Sitecom WLA2100
    - LP: #1524292
  * ACPI: Use correct IRQ when uninstalling ACPI interrupt handler
    - LP: #1524292
  * MIPS: atomic: Fix comment describing atomic64_add_unless's return
    value.
    - LP: #1524292
  * ALSA: hda - Disable 64bit address for Creative HDA controllers
    - LP: #1524292
  * megaraid_sas: Do not use PAGE_SIZE for max_sectors
    - LP: #1524292
  * can: Use correct type in sizeof() in nla_put()
    - LP: #1524292
  * mtd: blkdevs: fix potential deadlock + lockdep warnings
    - LP: #1524292
  * crypto: algif_hash - Only export and import on sockets with data
    - LP: #1524292
  * megaraid_sas : SMAP restriction--do not access user memory from IOCTL
    code
    - LP: #1524292
  * recordmcount: Fix endianness handling bug for nop_mcount
    - LP: #1524292
  * ipv6: fix tunnel error handling
    - LP: #1524292
  * ALSA: hda - Apply pin fixup for HP ProBook 6550b
    - LP: #1524292
  * firewire: ohci: fix JMicron JMB38x IT context discovery
    - LP: #1524292
  * scsi: restart list search after unlock in scsi_remove_target
    - LP: #1524292
  * x86/cpu: Call verify_cpu() after having entered long mode too
    - LP: #1524292
  * Btrfs: fix race leading to incorrect item deletion when dropping
    extents
    - LP: #1524292
  * Btrfs: fix race leading to BUG_ON when running delalloc for nodatacow
    - LP: #1524292
  * perf: Fix inherited events vs. tracepoint filters
    - LP: #1524292
  * scsi_s...

Changed in linux (Ubuntu Precise):
status: Fix Committed → Fix Released
status: Fix Committed → Fix Released
Andy Whitcroft (apw) wrote :

Fix released in 3.19.0-47.53

Changed in linux (Ubuntu Vivid):
status: Fix Committed → Fix Released
Andy Whitcroft (apw) wrote :

Fix released in 4.2.0-27.32

Changed in linux (Ubuntu Wily):
status: Fix Committed → Fix Released
Andy Whitcroft (apw) wrote :

Fix released in 3.13.0-77.121

Changed in linux (Ubuntu Trusty):
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers